Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTMLDocument.HTMLReader.SpecialAction

    java.lang.Object
      javax.swing.text.html.HTMLDocument.HTMLReader.TagAction
          javax.swing.text.html.HTMLDocument.HTMLReader.SpecialAction

Direct Known Subclasses:
  HTMLDocument.HTMLReader.FormAction

Enclosing class:
  HTMLDocument.HTMLReader

    public class HTMLDocument.HTMLReader.SpecialAction

extends HTMLDocument.HTMLReader.TagAction

Constructor Summary
`HTMLDocument.HTMLReader.SpecialAction()`

Method Summary
`void` | `start(HTML.Tag t, MutableAttributeSet a)` Called when a start tag is seen for the type of tag this action was registered to.

Methods inherited from class javax.swing.text.html.HTMLDocument.HTMLReader.TagAction
`end`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLDocument.HTMLReader.SpecialAction

    public HTMLDocument.HTMLReader.SpecialAction()

Method Detail

### start

    public void start(HTML.Tag t,
                      MutableAttributeSet a)

  Description copied from class: `HTMLDocument.HTMLReader.TagAction`
  Called when a start tag is seen for the type of tag this action was registered to. The tag argument indicates the actual tag for those actions that are shared across many tags. By default this does nothing and completely ignores the tag.

  Overrides:
    `start` in class `HTMLDocument.HTMLReader.TagAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.